describe('In upload page', () => {
  it('upload some pictures', () => {
    cy.visit(`${Cypress.env('api_url')}api/auth/login`)
    cy.fixture('upload').then((uploadData) => {
      cy.get('#username').type('elysee')
      cy.get('#password').type('my password')
      cy.contains(uploadData.textLinkLogin).click()
      cy.visit('/')
      cy.contains(uploadData.textLinkUpload).click()
    })
    cy.get('.input-file').selectFile(
      [
        'cypress/fixtures/images/image1.JPG',
        'cypress/fixtures/images/image2.JPG',
        'cypress/fixtures/images/image3.JPG'
      ],
      { force: true }
    )
    cy.get('button[type=submit]').click()
    cy.get('button[type=button]').click()
  })
})

export {}
